{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <div class="row">
        <!-- Anggaran Pendapatan Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-primary shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                Anggaran Pendapatan</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">2.321.466.478.815,00                            </div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-dollar-sign fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Realisasi Pendapatan -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-success shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                Realisasi Belanja</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">330.298.539.674,00                            </div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-dollar-sign fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Porsentase Realisasi Anggaran
                            </div>
                            <div class="row no-gutters align-items-center">
                                <div class="col-auto">
                                    <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">39.50%</div>
                                </div>
                                <div class="col">
                                    <div class="progress progress-sm mr-2">
                                        <div class="progress-bar bg-info" role="progressbar" style="width: 50%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Porsentase Realisasi Belanja
                            </div>
                            <div class="row no-gutters align-items-center">
                                <div class="col-auto">
                                    <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">14.07%</div>
                                </div>
                                <div class="col">
                                    <div class="progress progress-sm mr-2">
                                        <div class="progress-bar bg-info" role="progressbar" style="width: 50%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div style="padding-top: 50px;"></div>
    <div class="row">
        <div class="col-md-12">
            <h1 class="text-center">SIMONA</h1>
            <h3 class="text-center">Sistem informasi Monitoring Anggaran APBD <br> Provinsi Papua Tengah</h3>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    {% load static %}
    <script src="{% static 'admin/js/chart.js' %}"></script>
    <script>
        function dynamicColors() {
            var r = Math.floor(Math.random() * 255);
            var g = Math.floor(Math.random() * 255);
            var b = Math.floor(Math.random() * 255);
            return "rgba(" + r + "," + g + "," + b + ", 0.5)";
        }
        function poolColors(a) {
            var pool = [];
            for(i = 0; i < a; i++) {
                pool.push(dynamicColors());
            }
            return pool;
        }
        const chartTanggal = {{date_labels|safe}};
        const data_tanggal = {
            labels: chartTanggal,
            datasets: [
                {   
                    label: 'Statistik Pengunjung',
                    backgroundColor: poolColors(chartTanggal.length),
                    borderColor: 'rgb(32, 201, 151)',
                    data: {{date_count|safe}},
                },
            ]
        };
        const configTanggal = {
            type: 'line',
            data: data_tanggal,
            options: {
                indexAxis: 'x',
                responsive: true,
            }
        };
        const _chartTanggal = new Chart(
            document.getElementById('chart-tanggal'),
            configTanggal
        );

        const chartBrowser = {{browser_labels|safe}};
        const data_browser = {
            labels: chartBrowser,
            datasets: [
                {   
                    label: 'Statistik Browser',
                    backgroundColor: poolColors(chartBrowser.length),
                    data: {{browser_count|safe}},
                },
            ]
        };
        const configBrowser = {
            type: 'pie',
            data: data_browser,
            options: {
                indexAxis: 'x',
                responsive: true,
            }
        };
        const _chartBrowser = new Chart(
            document.getElementById('chart-browser'),
            configBrowser
        );

        const chartDevice = {{device_labels|safe}};
        const data_device = {
            labels: chartDevice,
            datasets: [
                {   
                    label: 'Statistik Device',
                    backgroundColor: poolColors(chartDevice.length),
                    data: {{device_count|safe}},
                },
            ]
        };
        const config_device = {
            type: 'pie',
            data: data_device,
            options: {
                indexAxis: 'x',
                responsive: true,
            }
        };
        const _chartDevice = new Chart(
            document.getElementById('chart-device'),
            config_device
        );
    </script>
{% endblock scripts_bawah %}